commit:     3c9a1b0d6c9b0f9217419d814b5c07288b10d209
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  4 02:51:52 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep  4 03:30:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c9a1b0d

dev-python/GitPython: Bump to 3.1.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/GitPython/GitPython-3.1.8.ebuild | 58 +++++++++++++++++++++++++++++
 dev-python/GitPython/Manifest               |  2 +
 2 files changed, 60 insertions(+)

diff --git a/dev-python/GitPython/GitPython-3.1.8.ebuild 
b/dev-python/GitPython/GitPython-3.1.8.ebuild
new file mode 100644
index 00000000000..2dedec128a2
--- /dev/null
+++ b/dev-python/GitPython/GitPython-3.1.8.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.5
+SMMAP_P=smmap-3.0.4
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="https://github.com/gitpython-developers/GitPython 
https://pypi.org/project/GitPython/";
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz
+       test? (
+               https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+       )"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       dev-vcs/git
+       >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests unittest
+
+src_test() {
+       git config --global user.email "y...@example.com" || die
+       git config --global user.name "Your Name" || die
+
+       git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+       git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+               "${T}"/test/git/ext/gitdb || die
+       git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+               "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+       cd "${T}"/test || die
+       rm -r test/performance || die
+       # tests requiring network access
+       sed -i -e 's:test_fetch_error:_&:' test/test_remote.py || die
+       rm test/test_installation.py || die
+       # broken apparently (also fails in git clone)
+       sed -e 's:test_rev_parse:_&:' \
+               -i test/test_repo.py || die
+
+       distutils-r1_src_test
+}

diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index 80aa74ae804..5bc06661877 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -1,4 +1,6 @@
 DIST GitPython-3.1.7.gitbundle 8821099 BLAKE2B 
96b6cb8cce9778099001d9c3066b9d3b7f4c3c4b4283e521f7b41e93cf5f3990a8758853c261e3458cd6a8c8c48661526e1dd2ce2208e02d3ee895358a135b4a
 SHA512 
c311a464e79c769be92b08a216d52487a47af6c8807e880b6c2225d04eb7cd772808a6675660a2e727ce3ddf47746203646fb96f9a947d4ae2ad4b916f8dc984
 DIST GitPython-3.1.7.tar.gz 169134 BLAKE2B 
aba0464b18bfbcfd5e219c6483a1af70cb89da45d26e41e18a26b661985d2ab414e72b60a5366a9dd1ff0603876907a7fd642bc49bae01973ef6c8ba7906ec31
 SHA512 
7c434312be303288b58fabea4d6a84bf417dfff60d61695384af594e5f1231efc8d79d250aa63e04263b4c9aa4f19efceb98c5eea1a466fb0b433113ddb4af46
+DIST GitPython-3.1.8.gitbundle 4418113 BLAKE2B 
b6c2154b8f1eadc005055c8c04a9c2ee5e9b365bcbb258cf24d676aa5e1d7f598c26c5404606f8c48d2e2165615e6cf4b3006f071cc3a3bb2047990d232f16d2
 SHA512 
d506bc72ae10227fde57c8497ad41a2da9e9b4613b3b98ca6a0d48cf8286bdc3e9d71284a5fededd2df075042a12dd8074e07c32defda707865c129dc83b7247
+DIST GitPython-3.1.8.tar.gz 170582 BLAKE2B 
0ca3111ce09259b9b071d43b06715b187a6f428dd81002c57215c60e720447007220536f51d681c5468ebe91a4144769b57f6a8c80d29683c26f0f07d984d765
 SHA512 
8848b58738d7dd33b8c3186d9db0eb41a6e428050f4fe170351e42c941c9586ba4999bf5083fbbe2b7ce73a668a0f62cfb19be013f470c7b8f0733d07d9bee32
 DIST gitdb-4.0.5.gitbundle 1497722 BLAKE2B 
8ee85368db7f408f96f0b48250f1ed96c8df28b0439d355ce2eecbdcc5dc94382883510c57142e7e4b6ba7cd8e82b1140eca538b45692dbe8c55bce32e1b5b4f
 SHA512 
2c55a8e402a61ebcc362a8aee4a6154705d8ff2f5e582d13c855562dd074427681f4147641fe76681b76c99ec46040c7577dfca8bbfd575fc52772a9a6f17326
 DIST smmap-3.0.4.gitbundle 276552 BLAKE2B 
2d17b927b2c644d2f1984168ee99fe5a9a58392401ac0b2894a1d5e5f9c292f32311a7a5d7669bd93c642ff791f4801d61ef3236c1dafa1434e99a17fd8751f6
 SHA512 
6deb282c6ece3b556c59c458b5242ff362b903441db63c005a0ab1ac055b3f974f9b34f30e0a4a41ef9246696e08b191254f72db61a8f24d4eb2f0e48a08937b

Reply via email to